Bug 97960 - Digital camera, memory stick reader detected but not useable.
Digital camera, memory stick reader detected but not useable.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 13:18 EDT by Steve Brown
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Brown 2003-06-24 13:18:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030515

Description of problem:
When I connect a digital camera (Sony DSC-P72) or a memory stick reader (SanDisk
6-in-1) to a USB port on my computer, Red Hat Linux (kudzu?) automatically
detects the new hardware and adds a line to /etc/fstab.  But when I go to the
directory created by this line (e.g. /mnt/flash), I can't see the files (.JPG
format).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Power off computer.
2. Connect device (digital camera or memory stick reader).
3. Power on computer.
4. Verify line added to /etc/fstab.
5. Change to new directory (/mnt/flash, /mnt/camera, etc.) and run ls command.
    

Actual Results:  No files are visible.

Expected Results:  Expect to be able to list .jpg files with ls or view/edit
files with gimp.

Additional info:

When trying to mount the devices manually, I get an invalid block device error
message.
Comment 1 Steve Brown 2003-07-09 16:01:42 EDT
Reply from memory stick reader vendor, SanDisk, to reporter:

Thank you for contacting SanDisk Technical Support.


Unfortunately, the SDDR-86 is not supported on any distrobution (sic) of Linux.
 We will not be producing drivers for the Linux operating system.


If you have any further questions, please feel free to reply to this e-mail or
contact our technical support department toll free at 866-SANDISK
(866-726-3475). Our technical support team is open Monday through Friday, 7 am
to 4 pm PST. Have a Great Day!
Comment 2 Elliot Lee 2003-07-30 16:49:10 EDT
Sympathies on the useless reply from SanDisk.

If it's anything, it's a kernel bug, not a mount bug. However, it's possible that it really isn't 
supported under Linux and you're out of luck.
Comment 3 Steve Brown 2003-07-31 11:45:41 EDT
For a memory stick reader that does work with Linux, try the SmartDisk USB
Memory Stick Reader.  I connected it to my PC and booted with a Knoppix CD.  It
detected the reader and created an entry in my /etc/fstab file.  I wrote the
line down and then made the entry manually after I rebooted with RedHat Linux
(sorry, I don't have the line handy at the moment).  I got my reader from
pcmall.com.
Comment 4 Bugzilla owner 2004-09-30 11:41:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.